<?php

use yii\db\Migration;
use yii\db\Schema;

/**
 * Class m231110_073749_add_column_producer_option_check_by_default_prevent_user_credit
 */
class m231110_073749_add_column_producer_option_check_by_default_prevent_user_credit extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->addColumn('producer', 'option_check_by_default_prevent_user_credit', Schema::TYPE_BOOLEAN.' DEFAULT 1');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropColumn('producer', 'option_check_by_default_prevent_user_credit');
    }
}
